//listeImages.h

#ifndef __listeImages_h__
#define __listeImages_h__

#include "limace.h"

#ifdef __cplusplus
  extern "C" {
#else
  #ifndef NULL
    #define NULL 0
  #endif
#endif

#define MAX_IMAGES 255

Image images[MAX_IMAGES]; //tableau des variables
char nomsImages[MAX_IMAGES][255]; //tableau des noms de variables
int nbImages;

/**
 * Ajoute une nouvelle image (ne la cre pas)
 */
int ajoutImage(char nomIm[]);

/**
 * Retourne l'indice l'image de nom nomIm
 */
int indexOfImage(char nomIm[]);

/**
 * Libre l'image de ce nom
 */
void libereImage(char nomIm[]);

/**
 * Libre la mmoire alloue pour la lsite d'images
 */
void freeListeImages(void);

#ifdef __cplusplus
  }
#endif

#endif
