//apheli.c

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "limace.h"
#include "alexpierre.h"
#include "listeImages.h"
#include "y.tab.h"

int main(int argc, char *argv[])
{
  extern FILE *yyin; //aussi dans y.tab.c
  nbImages = 0;
  printf("\nAphelie Pierre & Alex (Fvrier 2003)\n\n");
  if (argc<2)
  {
    printf("Usage: aphelie script\n");
    return 1;
  }
  printf("Chargement du script %s === \n",argv[1]);
  yyin = fopen(argv[1],"r");
  if(yyparse()==0) printf("OK\n");
  else printf("erreur de lecture\n");
  fclose(yyin);
  freeListeImages();
  return 0;
}

/*int main(int argc, char *argv[])
{
  Image im;
  Matrix mt1;
  int i;
  printf("\nAphelie Pierre & Alex (Fvrier 2003)\n\n");
  if (argc<4)
  {
    printf("Usage: aphelie source.pbm sortie.pbm fonction param1\n");
    printf("\tfunction: thns             = ImgThinSkeleton\n");
    printf("\tfunction: thn [iterations] = ImgThin\n");
    printf("\tfunction: thk [iterations] = ImgThicken\n");
    printf("\tfunction: cpt              = ImgCountObjects\n");
    printf("\tfunction: labl             = ImgLabelliseObjects\n");
    printf("\tfunction: aff              = ImAffiche\n");
    printf("\n");
    return 1;
  }
  im = ImRead(argv[1]);
  printf("First pixel(0,0) : %d\n",ImGetI(im)[0][0]);
  printf("L'image %s est de type %s\n",argv[1],ImTypeStr(im));
  printf("L'image fait %d colonnes par %d lignes\n",ImNbCol(im),ImNbRow(im));

  if (strcmp(argv[3],"thns")==0) //ImgThinSkeleton
  {
    printf("\nImgThinSkeleton\n");
    printf("%d itrations\n",ImgThinSkeleton(im));
    printf("\nWriting output file\n");
    ImWriteAsc(im, argv[2]);
  }
  else if (strcmp(argv[3],"thn")==0) //ImgThin
  {
    printf("\nImgThin\n");
    i = (argc>4) ? atoi(argv[4]) : 1; //nombre d'itrations voulues, dfaut 1
    printf("%d itrations\n",i);
    for (; i>0; i--) ImgThin(im);
    printf("\nWriting output file\n");
    ImWriteAsc(im, argv[2]);
  }
  else if (strcmp(argv[3],"thk")==0) //ImgThicken
  {
    printf("\nImgThicken\n");
    i = (argc>4) ? atoi(argv[4]) : 1; //nombre d'itrations voulues, dfaut 1
    printf("%d itrations\n",i);
    for (; i>0; i--)
    {
      ImgFillConcav(im);
      ImgThicken(im);
    }
    printf("\nWriting output file\n");
    ImWriteAsc(im, argv[2]);
  }
  else if (strcmp(argv[3],"cpt")==0) //ImgCountObjects
  {
    printf("\nImgCountObjects\n");
    printf("Number of objets : %d\n",ImgCountObjects(im));
  }
  else if (strcmp(argv[3],"aff")==0)
  {
    ImAffiche(im);
  }
  else printf("\n\t/!\\ Paramtre '%s' non reconnu\n\n",argv[3]);
  ImFree(&im);
  return 0;
}*/
