//listeImages.c

#include <stdio.h>
#include <string.h>
#include "listeImages.h"

/**
 * Ajoute une nouvelle image (ne la cre pas)
 */
int ajoutImage(char nomIm[])
{
  strcpy(nomsImages[nbImages],nomIm);
  images[nbImages] = NULL;
  return ++nbImages;
}

/**
 * Retourne l'indice l'image de nom nomIm
 */
int indexOfImage(char nomIm[])
{
  int i;
  for (i=0; i<nbImages; i++)
    if (strcmp(nomIm,nomsImages[i])==0) return i;
  printf("Image %s introuvable\n",nomIm);
  return -1;
}

/**
 * Libre l'image de ce nom
 */
void libereImage(char nomIm[])
{
  int i = indexOfImage(nomIm);
  if (i == nbImages) nbImages --;
  if (images[i] != NULL)
  {
    ImFree(&(images[i]));
    images[i] = NULL;
  }
}

/**
 * Libre la mmoire alloue pour la lsite d'images
 */
void freeListeImages(void)
{
  int i;
  for (i=0; i<nbImages; i++)
    if (images[i] != NULL) ImFree(&images[i]);
}
